package com.pavis.admin.aigc.core.agent.browser;

import lombok.Data;

import java.io.Serializable;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Data
public class EnvData implements Serializable {
    private String osName;
    private String osVersion;
    private String osArch;
    private String url;
    private String title;
    private ScrollInfo scrollInfo;
    private String interactiveElements;
    private List<Tab> tabs;
    private String error;

    public Map<String, Object> getEnvDataMap() {
        Map<String, Object> envDataMap = new HashMap<>();
        envDataMap.put("osName", osName);
        envDataMap.put("osVersion", osVersion);
        envDataMap.put("osArch", osArch);
        envDataMap.put("url", url);
        envDataMap.put("title", title);
        envDataMap.put("scrollInfo", scrollInfo);
        envDataMap.put("interactiveElements", interactiveElements);
        envDataMap.put("tabs", tabs);
        envDataMap.put("error", error);
        return envDataMap;
    }
}
